Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 623860 - python-imaging uses PyCObject API (deprecated in Python 2.7)
python-imaging uses PyCObject API (deprecated in Python 2.7)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-imaging (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PyCObject
  Show dependency treegraph
 
Reported: 2010-08-12 21:14 EDT by Dave Malcolm
Modified: 2012-08-16 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-08-12 21:14:11 EDT
Description of problem:
Python 2.7 deprecated the PyCObject API in favor of a new "capsule" API.
  http://docs.python.org/dev/whatsnew/2.7.html#capsules

The deprecations are set to "ignore" by default, so in theory the API still works.

However the deprecation has caused at least one app to fail (virt-manager, see bug 620216, due to it modifying the warning settings), so I've been doublechecking the scope of usage of the PyCObject API, and am filing bugs against components that are possibly affected.

You can trigger a hard failure of the API via:
>>> import warnings
>>> warnings.filterwarnings('error')
and then try to use the module (I don't have a more specific reproducer for this module yet; sorry)

I'm not yet sure what the best approach is to fixing this.


Version-Release number of selected component (if applicable):
python-imaging-1.1.7-2.fc14.src.rpm

Grepping the source tree shows these uses of the API:
./Imaging-1.1.7/_imagingcms.c:51:  due to improper destructor setup for PyCObjects
./Imaging-1.1.7/libImaging/Imaging.h:66:/* handle magics (used with PyCObject). */
./Imaging-1.1.7/_imaging.c:2985:        return PyCObject_FromVoidPtrAndDesc(self->image, IMAGING_MAGIC, NULL);
./Imaging-1.1.7/CHANGES:497:+ Added 'getim' method, which returns a PyCObject wrapping an
./Imaging-1.1.7/PIL/Image.py:912:    # Returns a PyCObject that points to the internal image memory.
./Imaging-1.1.7/PIL/Image.py:914:    # @return A PyCObject object.
./Imaging-1.1.7/PIL/Image.py:917:        "Get PyCObject pointer to internal image memory"
Comment 1 Fedora End Of Life 2012-08-16 14:20:38 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.